class TTSSystem(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  symbol_to_id : Dict[str, int]
  sos_token : str
  eos_token : str
  set_accent : bool
  tts_model : __torch__.silero_vocoder.jit_model.___torch_mangle_137.MultiTTSModel
  def forward(self: __torch__.silero_vocoder.jit_model.___torch_mangle_138.TTSSystem,
    sentences: List[str],
    clean_sentences: List[str],
    break_lens: List[Optional[int]],
    prosody_rates: List[float],
    prosody_pitches: List[float],
    speaker_ids: Tensor,
    sr: int=48000,
    device: str="cpu",
    gt_durs: Optional[Tensor]=None,
    gt_pitch: Optional[Tensor]=None) -> Tuple[Tensor, Tensor]:
    _0 = (self).merge_batch_model(sentences, break_lens, prosody_rates, prosody_pitches, )
    sequence, symb_durs, durs_rate, pitch_coefs, = _0
    tts_model = self.tts_model
    _1 = torch.to(sequence, torch.device(device))
    _2 = torch.to(speaker_ids, torch.device(device))
    _3 = torch.to(durs_rate, torch.device(device))
    _4 = torch.to(pitch_coefs, torch.device(device))
    _5 = (tts_model).forward(_1, _2, sr, symb_durs, _3, _4, gt_durs, gt_pitch, device, )
    audio, audio_lengths, = _5
    return (audio, audio_lengths)
  def merge_batch_model(self: __torch__.silero_vocoder.jit_model.___torch_mangle_138.TTSSystem,
    texts: List[str],
    break_lens: List[Optional[int]],
    prosody_rates: List[float],
    prosody_pitches: List[float]) -> Tuple[Tensor, Dict[int, int], Tensor, Tensor]:
    symb_durs = annotate(Dict[int, int], {})
    final_rates = annotate(List[float], [])
    final_pitches = annotate(List[float], [])
    _6 = [9223372036854775807, torch.len(break_lens)]
    text_len = -1
    for i in range(ops.prim.min(_6)):
      break_len = break_lens[i]
      _7 = torch.sub(torch.len(break_lens), 1)
      if torch.lt(i, _7):
        cur_text_len0 = torch.add(torch.len(texts[i]), 1)
        cur_text_len = cur_text_len0
      else:
        cur_text_len1 = torch.add(torch.len(texts[i]), 2)
        cur_text_len = cur_text_len1
      text_len0 = torch.add(text_len, cur_text_len)
      if torch.__isnot__(break_len, None):
        break_len0 = unchecked_cast(int, break_len)
        _8 = torch.sub(torch.len(break_lens), 1)
        if torch.lt(i, _8):
          torch._set_item(symb_durs, text_len0, break_len0)
        else:
          torch._set_item(symb_durs, torch.sub(text_len0, 1), break_len0)
      else:
        pass
      rate = prosody_rates[i]
      torch.extend(final_rates, torch.mul([rate], cur_text_len))
      pitch = prosody_pitches[i]
      torch.extend(final_pitches, torch.mul([pitch], cur_text_len))
      text_len = text_len0
    full_text = torch.join(" ", texts)
    _9 = (self).preprocess_tacotron(full_text, )
    text_tensor = torch.unsqueeze(_9, 0)
    rate_tensor = torch.unsqueeze(torch.tensor(final_rates), 0)
    pitch_tensor = torch.unsqueeze(torch.tensor(final_pitches), 0)
    _10 = (text_tensor, symb_durs, rate_tensor, pitch_tensor)
    return _10
  def preprocess_tacotron(self: __torch__.silero_vocoder.jit_model.___torch_mangle_138.TTSSystem,
    text: str) -> Tensor:
    sos_token = self.sos_token
    _11 = torch.add(sos_token, text)
    eos_token = self.eos_token
    text0 = torch.add(_11, eos_token)
    text_ohe = annotate(List[int], [])
    for _12 in range(torch.len(text0)):
      s = text0[_12]
      symbol_to_id = self.symbol_to_id
      _13 = torch.append(text_ohe, symbol_to_id[s])
    return torch.to(torch.tensor(text_ohe), 4)
