def embedding(input: Tensor,
    weight: Tensor,
    padding_idx: Optional[int]=None,
    max_norm: Optional[float]=None,
    norm_type: float=2.,
    scale_grad_by_freq: bool=False,
    sparse: bool=False) -> Tensor:
  _0 = "AssertionError: Padding_idx must be within num_embeddings"
  if torch.__isnot__(padding_idx, None):
    padding_idx1 = unchecked_cast(int, padding_idx)
    if torch.gt(padding_idx1, 0):
      _1 = torch.lt(padding_idx1, torch.size(weight, 0))
      if _1:
        pass
      else:
        ops.prim.RaiseException(_0)
      padding_idx2 = padding_idx1
    else:
      if torch.lt(padding_idx1, 0):
        _2 = torch.neg(torch.size(weight, 0))
        if torch.ge(padding_idx1, _2):
          pass
        else:
          ops.prim.RaiseException(_0)
        padding_idx4 = torch.add(torch.size(weight, 0), padding_idx1)
        padding_idx3 = padding_idx4
      else:
        padding_idx3 = padding_idx1
      padding_idx2 = padding_idx3
    padding_idx0 = padding_idx2
  else:
    padding_idx0 = -1
  if torch.__isnot__(max_norm, None):
    input0 = torch.contiguous(input)
  else:
    input0 = input
  _3 = torch.embedding(weight, input0, padding_idx0, scale_grad_by_freq, sparse)
  return _3
def dropout(input: Tensor,
    p: float=0.5,
    training: bool=True,
    inplace: bool=False) -> Tensor:
  _4 = "dropout probability has to be between 0 and 1, but got {}"
  if torch.lt(p, 0.):
    _5 = True
  else:
    _5 = torch.gt(p, 1.)
  if _5:
    ops.prim.RaiseException(torch.format(_4, p))
  else:
    pass
  if inplace:
    _6 = torch.dropout_(input, p, training)
  else:
    _6 = torch.dropout(input, p, training)
  return _6
def multi_head_attention_forward(query: Tensor,
    key: Tensor,
    value: Tensor,
    embed_dim_to_check: int,
    num_heads: int,
    in_proj_weight: Tensor,
    in_proj_bias: Optional[Tensor],
    bias_k: Optional[Tensor],
    bias_v: Optional[Tensor],
    add_zero_attn: bool,
    dropout_p: float,
    out_proj_weight: Tensor,
    out_proj_bias: Optional[Tensor],
    training: bool=True,
    key_padding_mask: Optional[Tensor]=None,
    need_weights: bool=True,
    attn_mask: Optional[Tensor]=None,
    use_separate_proj_weight: bool=False,
    q_proj_weight: Optional[Tensor]=None,
    k_proj_weight: Optional[Tensor]=None,
    v_proj_weight: Optional[Tensor]=None,
    static_k: Optional[Tensor]=None,
    static_v: Optional[Tensor]=None) -> Tuple[Tensor, Optional[Tensor]]:
  _7 = "was expecting embedding dimension of {}, but got {}"
  _8 = "embed_dim {} not divisible by num_heads {}"
  _9 = "key\'s sequence and batch dims {} do not match value\'s {}"
  _10 = "key shape {} does not match value shape {}"
  _11 = __torch__.torch.nn.functional._in_projection_packed
  _12 = "AssertionError: use_separate_proj_weight is True but q_proj_weight is None"
  _13 = "AssertionError: use_separate_proj_weight is True but k_proj_weight is None"
  _14 = "AssertionError: use_separate_proj_weight is True but v_proj_weight is None"
  _15 = __torch__.torch.nn.functional._in_projection
  _16 = "Byte tensor for attn_mask in nn.MultiheadAttention is deprecated. Use bool tensor instead."
  _17 = "Only float, byte, and bool types are supported for attn_mask, not {}"
  _18 = "The shape of the 2D attn_mask is {}, but should be {}."
  _19 = "The shape of the 3D attn_mask is {}, but should be {}."
  _20 = "attn_mask\'s dimension {} is not supported"
  _21 = "Byte tensor for key_padding_mask in nn.MultiheadAttention is deprecated. Use bool tensor instead."
  _22 = "AssertionError: bias cannot be added to static key."
  _23 = "AssertionError: bias cannot be added to static value."
  _24 = "expecting static_k.size(0) of {}, but got {}"
  _25 = "expecting static_k.size(2) of {}, but got {}"
  _26 = "expecting static_v.size(0) of {}, but got {}"
  _27 = "expecting static_v.size(2) of {}, but got {}"
  _28 = "expecting key_padding_mask shape of {}, but got {}"
  _29 = __torch__.torch.nn.functional._scaled_dot_product_attention
  _30 = uninitialized(Optional[Tensor])
  _31 = uninitialized(Optional[Tensor])
  _32 = uninitialized(Tensor)
  tgt_len, bsz, embed_dim, = torch.size(query)
  src_len, _33, _34, = torch.size(key)
  _35 = torch.eq(embed_dim, embed_dim_to_check)
  if _35:
    pass
  else:
    _36 = torch.format(_7, embed_dim_to_check, embed_dim)
    ops.prim.RaiseException(torch.add("AssertionError: ", _36))
  embed_dim0 = unchecked_cast(int, embed_dim)
  head_dim = torch.floordiv(embed_dim0, num_heads)
  _37 = torch.eq(torch.mul(head_dim, num_heads), embed_dim0)
  if _37:
    pass
  else:
    _38 = torch.format(_8, embed_dim0, num_heads)
    ops.prim.RaiseException(torch.add("AssertionError: ", _38))
  if use_separate_proj_weight:
    _39 = torch.slice(torch.size(key), None, 2)
    _40 = torch.slice(torch.size(value), None, 2)
    if torch.eq(_39, _40):
      pass
    else:
      _41 = torch.slice(torch.size(key), None, 2)
      _42 = torch.slice(torch.size(value), None, 2)
      _43 = torch.add("AssertionError: ", torch.format(_9, _41, _42))
      ops.prim.RaiseException(_43)
  else:
    _44 = torch.eq(torch.size(key), torch.size(value))
    if _44:
      pass
    else:
      _45 = torch.format(_10, torch.size(key), torch.size(value))
      _46 = torch.add("AssertionError: ", _45)
      ops.prim.RaiseException(_46)
  _47 = torch.__not__(use_separate_proj_weight)
  if _47:
    _48 = _11(query, key, value, in_proj_weight, in_proj_bias, )
    q0, k0, v0, = _48
    k, v, q = k0, v0, q0
  else:
    _49 = torch.__isnot__(q_proj_weight, None)
    if _49:
      q_proj_weight1 = unchecked_cast(Tensor, q_proj_weight)
      q_proj_weight0 = q_proj_weight1
    else:
      ops.prim.RaiseException(_12)
      q_proj_weight0 = _32
    _50 = torch.__isnot__(k_proj_weight, None)
    if _50:
      k_proj_weight1 = unchecked_cast(Tensor, k_proj_weight)
      k_proj_weight0 = k_proj_weight1
    else:
      ops.prim.RaiseException(_13)
      k_proj_weight0 = _32
    _51 = torch.__isnot__(v_proj_weight, None)
    if _51:
      v_proj_weight1 = unchecked_cast(Tensor, v_proj_weight)
      v_proj_weight0 = v_proj_weight1
    else:
      ops.prim.RaiseException(_14)
      v_proj_weight0 = _32
    if torch.__is__(in_proj_bias, None):
      b_q, b_k, b_v = None, None, None
    else:
      in_proj_bias0 = unchecked_cast(Tensor, in_proj_bias)
      b_q0, b_k0, b_v0, = torch.chunk(in_proj_bias0, 3)
      b_q, b_k, b_v = b_q0, b_k0, b_v0
    _52 = _15(query, key, value, q_proj_weight0, k_proj_weight0, v_proj_weight0, b_q, b_k, b_v, )
    q1, k1, v1, = _52
    k, v, q = k1, v1, q1
  if torch.__isnot__(attn_mask, None):
    attn_mask1 = unchecked_cast(Tensor, attn_mask)
    _53 = torch.eq(ops.prim.dtype(attn_mask1), 0)
    if _53:
      torch.warn(_16)
      attn_mask2 = torch.to(attn_mask1, 11)
    else:
      _54 = torch.is_floating_point(attn_mask1)
      if _54:
        _55 = True
      else:
        _56 = torch.eq(ops.prim.dtype(attn_mask1), 11)
        _55 = _56
      if _55:
        pass
      else:
        _57 = torch.format(_17, ops.prim.dtype(attn_mask1))
        _58 = torch.add("AssertionError: ", _57)
        ops.prim.RaiseException(_58)
      attn_mask2 = attn_mask1
    if torch.eq(torch.dim(attn_mask2), 2):
      correct_2d_size = (tgt_len, src_len)
      _59 = torch.ne(torch.size(attn_mask2), [tgt_len, src_len])
      if _59:
        _60 = torch.format(_18, torch.size(attn_mask2), correct_2d_size)
        ops.prim.RaiseException(_60)
      else:
        pass
      attn_mask3 = torch.unsqueeze(attn_mask2, 0)
    else:
      _61 = torch.eq(torch.dim(attn_mask2), 3)
      if _61:
        _62 = torch.mul(bsz, num_heads)
        correct_3d_size = (_62, tgt_len, src_len)
        _63 = torch.ne(torch.size(attn_mask2), [_62, tgt_len, src_len])
        if _63:
          _64 = torch.format(_19, torch.size(attn_mask2), correct_3d_size)
          ops.prim.RaiseException(_64)
        else:
          pass
      else:
        _65 = torch.format(_20, torch.dim(attn_mask2))
        ops.prim.RaiseException(_65)
      attn_mask3 = attn_mask2
    attn_mask0 : Optional[Tensor] = attn_mask3
  else:
    attn_mask0 = attn_mask
  _66 = torch.__isnot__(key_padding_mask, None)
  if _66:
    key_padding_mask1 = unchecked_cast(Tensor, key_padding_mask)
    _68 = torch.eq(ops.prim.dtype(key_padding_mask1), 0)
    _67, key_padding_mask0 = _68, key_padding_mask1
  else:
    _67, key_padding_mask0 = False, key_padding_mask
  if _67:
    key_padding_mask3 = unchecked_cast(Tensor, key_padding_mask0)
    torch.warn(_21)
    key_padding_mask2 : Optional[Tensor] = torch.to(key_padding_mask3, 11)
  else:
    key_padding_mask2 = key_padding_mask0
  if torch.__isnot__(bias_k, None):
    bias_k1 = unchecked_cast(Tensor, bias_k)
    _69, bias_k0 = torch.__isnot__(bias_v, None), bias_k1
  else:
    _69, bias_k0 = False, bias_k
  if _69:
    bias_k2 = unchecked_cast(Tensor, bias_k0)
    bias_v0 = unchecked_cast(Tensor, bias_v)
    if torch.__is__(static_k, None):
      static_k1 : Optional[Tensor] = static_k
    else:
      ops.prim.RaiseException(_22)
      static_k1 = _31
    if torch.__is__(static_v, None):
      static_v1 : Optional[Tensor] = static_v
    else:
      ops.prim.RaiseException(_23)
      static_v1 = _30
    _70 = [k, torch.repeat(bias_k2, [1, bsz, 1])]
    k3 = torch.cat(_70)
    _71 = [v, torch.repeat(bias_v0, [1, bsz, 1])]
    v3 = torch.cat(_71)
    if torch.__isnot__(attn_mask0, None):
      attn_mask6 = unchecked_cast(Tensor, attn_mask0)
      attn_mask7 = __torch__.torch.nn.functional._pad(attn_mask6, [0, 1], "constant", 0., )
      attn_mask5 : Optional[Tensor] = attn_mask7
    else:
      attn_mask5 = attn_mask0
    _72 = torch.__isnot__(key_padding_mask2, None)
    if _72:
      key_padding_mask6 = unchecked_cast(Tensor, key_padding_mask2)
      key_padding_mask7 = __torch__.torch.nn.functional._pad(key_padding_mask6, [0, 1], "constant", 0., )
      key_padding_mask5 : Optional[Tensor] = key_padding_mask7
    else:
      key_padding_mask5 = key_padding_mask2
    static_k0, k2, static_v0, v2, attn_mask4, key_padding_mask4 = static_k1, k3, static_v1, v3, attn_mask5, key_padding_mask5
  else:
    if torch.__is__(bias_k0, None):
      pass
    else:
      ops.prim.RaiseException("AssertionError: ")
    if torch.__is__(bias_v, None):
      pass
    else:
      ops.prim.RaiseException("AssertionError: ")
    static_k0, k2, static_v0, v2, attn_mask4, key_padding_mask4 = static_k, k, static_v, v, attn_mask0, key_padding_mask2
  _73 = torch.contiguous(q)
  _74 = [tgt_len, torch.mul(bsz, num_heads), head_dim]
  q2 = torch.transpose(torch.view(_73, _74), 0, 1)
  if torch.__is__(static_k0, None):
    _75 = torch.contiguous(k2)
    _76 = [(torch.size(k2))[0], torch.mul(bsz, num_heads), head_dim]
    k5 = torch.transpose(torch.view(_75, _76), 0, 1)
    k4 = k5
  else:
    static_k2 = unchecked_cast(Tensor, static_k0)
    _77 = torch.eq(torch.size(static_k2, 0), torch.mul(bsz, num_heads))
    if _77:
      pass
    else:
      _78 = torch.format(_24, torch.mul(bsz, num_heads), torch.size(static_k2, 0))
      _79 = torch.add("AssertionError: ", _78)
      ops.prim.RaiseException(_79)
    _80 = torch.eq(torch.size(static_k2, 2), head_dim)
    if _80:
      pass
    else:
      _81 = torch.format(_25, head_dim, torch.size(static_k2, 2))
      _82 = torch.add("AssertionError: ", _81)
      ops.prim.RaiseException(_82)
    k4 = static_k2
  if torch.__is__(static_v0, None):
    _83 = torch.contiguous(v2)
    _84 = [(torch.size(v2))[0], torch.mul(bsz, num_heads), head_dim]
    v5 = torch.transpose(torch.view(_83, _84), 0, 1)
    v4 = v5
  else:
    static_v2 = unchecked_cast(Tensor, static_v0)
    _85 = torch.eq(torch.size(static_v2, 0), torch.mul(bsz, num_heads))
    if _85:
      pass
    else:
      _86 = torch.format(_26, torch.mul(bsz, num_heads), torch.size(static_v2, 0))
      _87 = torch.add("AssertionError: ", _86)
      ops.prim.RaiseException(_87)
    _88 = torch.eq(torch.size(static_v2, 2), head_dim)
    if _88:
      pass
    else:
      _89 = torch.format(_27, head_dim, torch.size(static_v2, 2))
      _90 = torch.add("AssertionError: ", _89)
      ops.prim.RaiseException(_90)
    v4 = static_v2
  if add_zero_attn:
    _91 = torch.mul(bsz, num_heads)
    _92 = ops.prim.dtype(k4)
    _93 = ops.prim.device(k4)
    _94 = torch.zeros([_91, 1, head_dim], dtype=_92, layout=None, device=_93)
    k7 = torch.cat([k4, _94], 1)
    _95 = ops.prim.dtype(v4)
    _96 = ops.prim.device(v4)
    _97 = torch.zeros([_91, 1, head_dim], dtype=_95, layout=None, device=_96)
    v7 = torch.cat([v4, _97], 1)
    if torch.__isnot__(attn_mask4, None):
      attn_mask10 = unchecked_cast(Tensor, attn_mask4)
      attn_mask11 = __torch__.torch.nn.functional._pad(attn_mask10, [0, 1], "constant", 0., )
      attn_mask9 : Optional[Tensor] = attn_mask11
    else:
      attn_mask9 = attn_mask4
    _98 = torch.__isnot__(key_padding_mask4, None)
    if _98:
      key_padding_mask10 = unchecked_cast(Tensor, key_padding_mask4)
      key_padding_mask11 = __torch__.torch.nn.functional._pad(key_padding_mask10, [0, 1], "constant", 0., )
      key_padding_mask9 : Optional[Tensor] = key_padding_mask11
    else:
      key_padding_mask9 = key_padding_mask4
    k6, key_padding_mask8, attn_mask8, v6 = k7, key_padding_mask9, attn_mask9, v7
  else:
    k6, key_padding_mask8, attn_mask8, v6 = k4, key_padding_mask4, attn_mask4, v4
  src_len0 = torch.size(k6, 1)
  _99 = torch.__isnot__(key_padding_mask8, None)
  if _99:
    key_padding_mask12 = unchecked_cast(Tensor, key_padding_mask8)
    _100 = torch.eq(torch.size(key_padding_mask12), [bsz, src_len0])
    if _100:
      pass
    else:
      _101 = torch.format(_28, (bsz, src_len0), torch.size(key_padding_mask12))
      _102 = torch.add("AssertionError: ", _101)
      ops.prim.RaiseException(_102)
    _103 = torch.view(key_padding_mask12, [bsz, 1, 1, src_len0])
    _104 = torch.expand(_103, [-1, num_heads, -1, -1])
    _105 = [torch.mul(bsz, num_heads), 1, src_len0]
    key_padding_mask13 = torch.reshape(_104, _105)
    if torch.__is__(attn_mask8, None):
      attn_mask13 = key_padding_mask13
    else:
      attn_mask14 = unchecked_cast(Tensor, attn_mask8)
      _106 = torch.eq(ops.prim.dtype(attn_mask14), 11)
      if _106:
        attn_mask16 = torch.logical_or(attn_mask14, key_padding_mask13)
        attn_mask15 = attn_mask16
      else:
        attn_mask17 = torch.masked_fill(attn_mask14, key_padding_mask13, -inf)
        attn_mask15 = attn_mask17
      attn_mask13 = attn_mask15
    attn_mask12 : Optional[Tensor] = attn_mask13
  else:
    attn_mask12 = attn_mask8
  if torch.__isnot__(attn_mask12, None):
    attn_mask19 = unchecked_cast(Tensor, attn_mask12)
    _108 = torch.eq(ops.prim.dtype(attn_mask19), 11)
    _107, attn_mask18 = _108, attn_mask19
  else:
    _107, attn_mask18 = False, attn_mask12
  if _107:
    attn_mask21 = unchecked_cast(Tensor, attn_mask18)
    new_attn_mask = torch.zeros_like(attn_mask21, dtype=6)
    _109 = torch.masked_fill_(new_attn_mask, attn_mask21, -inf)
    attn_mask20 : Optional[Tensor] = new_attn_mask
  else:
    attn_mask20 = attn_mask18
  if torch.__not__(training):
    dropout_p0 = 0.
  else:
    dropout_p0 = dropout_p
  _110 = _29(q2, k6, v6, attn_mask20, dropout_p0, )
  attn_output, attn_output_weights, = _110
  _111 = torch.contiguous(torch.transpose(attn_output, 0, 1))
  attn_output0 = torch.view(_111, [tgt_len, bsz, embed_dim0])
  attn_output1 = __torch__.torch.nn.functional.linear(attn_output0, out_proj_weight, out_proj_bias, )
  if need_weights:
    attn_output_weights0 = torch.view(attn_output_weights, [bsz, num_heads, tgt_len, src_len0])
    _113 = torch.sum(attn_output_weights0, [1])
    _114 = (attn_output1, torch.div(_113, num_heads))
    _112 = _114
  else:
    _112 = (attn_output1, None)
  return _112
def linear(input: Tensor,
    weight: Tensor,
    bias: Optional[Tensor]=None) -> Tensor:
  return torch.linear(input, weight, bias)
def layer_norm(input: Tensor,
    normalized_shape: List[int],
    weight: Optional[Tensor]=None,
    bias: Optional[Tensor]=None,
    eps: float=1.0000000000000001e-05) -> Tensor:
  _115 = torch.layer_norm(input, normalized_shape, weight, bias, eps)
  return _115
def relu(input: Tensor,
    inplace: bool=False) -> Tensor:
  if inplace:
    result = torch.relu_(input)
  else:
    result = torch.relu(input)
  return result
def leaky_relu(input: Tensor,
    negative_slope: float=0.01,
    inplace: bool=False) -> Tensor:
  if inplace:
    result0 = torch.leaky_relu_(input, negative_slope)
    result = result0
  else:
    result1 = torch.leaky_relu(input, negative_slope)
    result = result1
  return result
def _in_projection_packed(q: Tensor,
    k: Tensor,
    v: Tensor,
    w: Tensor,
    b: Optional[Tensor]=None) -> List[Tensor]:
  E = torch.size(q, -1)
  if torch.__is__(k, v):
    if torch.__is__(q, k):
      _118 = __torch__.torch.nn.functional.linear(q, w, b, )
      _117 = torch.chunk(_118, 3, -1)
    else:
      _119 = torch.split(w, [E, torch.mul(E, 2)])
      w_q, w_kv, = _119
      if torch.__is__(b, None):
        b_q, b_kv = None, None
      else:
        b0 = unchecked_cast(Tensor, b)
        _120 = torch.split(b0, [E, torch.mul(E, 2)])
        b_q1, b_kv0, = _120
        b_q, b_kv = b_q1, b_kv0
      _121 = __torch__.torch.nn.functional.linear(q, w_q, b_q, )
      _122 = __torch__.torch.nn.functional.linear(k, w_kv, b_kv, )
      _123 = torch.chunk(_122, 2, -1)
      _117 = torch.add([_121], _123)
    _116 = _117
  else:
    w_q0, w_k, w_v, = torch.chunk(w, 3)
    if torch.__is__(b, None):
      b_q2, b_k, b_v = None, None, None
    else:
      b1 = unchecked_cast(Tensor, b)
      b_q3, b_k1, b_v1, = torch.chunk(b1, 3)
      b_q2, b_k, b_v = b_q3, b_k1, b_v1
    _124 = __torch__.torch.nn.functional.linear(q, w_q0, b_q2, )
    _125 = __torch__.torch.nn.functional.linear(k, w_k, b_k, )
    _126 = __torch__.torch.nn.functional.linear(v, w_v, b_v, )
    _116 = [_124, _125, _126]
  return _116
def _in_projection(q: Tensor,
    k: Tensor,
    v: Tensor,
    w_q: Tensor,
    w_k: Tensor,
    w_v: Tensor,
    b_q: Optional[Tensor]=None,
    b_k: Optional[Tensor]=None,
    b_v: Optional[Tensor]=None) -> Tuple[Tensor, Tensor, Tensor]:
  _127 = "expecting query weights shape of {}, but got {}"
  _128 = "expecting key weights shape of {}, but got {}"
  _129 = "expecting value weights shape of {}, but got {}"
  _130 = "expecting query bias shape of {}, but got {}"
  _131 = "expecting key bias shape of {}, but got {}"
  _132 = "expecting value bias shape of {}, but got {}"
  _133 = uninitialized(Optional[Tensor])
  _134 = uninitialized(Optional[Tensor])
  _135 = uninitialized(Optional[Tensor])
  Eq = torch.size(q, -1)
  Ek = torch.size(k, -1)
  Ev = torch.size(v, -1)
  if torch.eq(torch.size(w_q), [Eq, Eq]):
    pass
  else:
    _136 = torch.format(_127, (Eq, Eq), torch.size(w_q))
    ops.prim.RaiseException(torch.add("AssertionError: ", _136))
  if torch.eq(torch.size(w_k), [Eq, Ek]):
    pass
  else:
    _137 = torch.format(_128, (Eq, Ek), torch.size(w_k))
    ops.prim.RaiseException(torch.add("AssertionError: ", _137))
  if torch.eq(torch.size(w_v), [Eq, Ev]):
    pass
  else:
    _138 = torch.format(_129, (Eq, Ev), torch.size(w_v))
    ops.prim.RaiseException(torch.add("AssertionError: ", _138))
  if torch.__is__(b_q, None):
    _139, b_q4 = True, b_q
  else:
    b_q5 = unchecked_cast(Tensor, b_q)
    _139, b_q4 = torch.eq(torch.size(b_q5), [Eq]), b_q5
  if _139:
    b_q6 : Optional[Tensor] = b_q4
  else:
    b_q7 = unchecked_cast(Tensor, b_q4)
    _140 = torch.format(_130, (Eq,), torch.size(b_q7))
    ops.prim.RaiseException(torch.add("AssertionError: ", _140))
    b_q6 = _135
  if torch.__is__(b_k, None):
    _141, b_k2 = True, b_k
  else:
    b_k3 = unchecked_cast(Tensor, b_k)
    _141, b_k2 = torch.eq(torch.size(b_k3), [Eq]), b_k3
  if _141:
    b_k4 : Optional[Tensor] = b_k2
  else:
    b_k5 = unchecked_cast(Tensor, b_k2)
    _142 = torch.format(_131, (Eq,), torch.size(b_k5))
    ops.prim.RaiseException(torch.add("AssertionError: ", _142))
    b_k4 = _134
  if torch.__is__(b_v, None):
    _143, b_v2 = True, b_v
  else:
    b_v3 = unchecked_cast(Tensor, b_v)
    _143, b_v2 = torch.eq(torch.size(b_v3), [Eq]), b_v3
  if _143:
    b_v4 : Optional[Tensor] = b_v2
  else:
    b_v5 = unchecked_cast(Tensor, b_v2)
    _144 = torch.format(_132, (Eq,), torch.size(b_v5))
    ops.prim.RaiseException(torch.add("AssertionError: ", _144))
    b_v4 = _133
  _145 = __torch__.torch.nn.functional.linear(q, w_q, b_q6, )
  _146 = __torch__.torch.nn.functional.linear(k, w_k, b_k4, )
  _147 = __torch__.torch.nn.functional.linear(v, w_v, b_v4, )
  return (_145, _146, _147)
def _pad(input: Tensor,
    pad: List[int],
    mode: str="constant",
    value: float=0.) -> Tensor:
  _148 = "AssertionError: Padding length must be divisible by 2"
  _149 = "AssertionError: Padding length too large"
  _150 = "Padding mode \"{}\"\" doesn\'t take in value argument"
  _151 = __torch__.torch.nn.functional._pad_circular
  _152 = "Only 2D, 3D, 4D, 5D padding with non-constant padding are supported for now"
  _153 = uninitialized(Tensor)
  _154 = torch.eq(torch.remainder(torch.len(pad), 2), 0)
  if _154:
    pass
  else:
    ops.prim.RaiseException(_148)
  _155 = torch.le(torch.floordiv(torch.len(pad), 2), torch.dim(input))
  if _155:
    pass
  else:
    ops.prim.RaiseException(_149)
  if torch.eq(mode, "constant"):
    _157 = torch.constant_pad_nd(input, pad, value)
    _156 = _157
  else:
    if torch.eq(value, 0.):
      pass
    else:
      _158 = torch.add("AssertionError: ", torch.format(_150, mode))
      ops.prim.RaiseException(_158)
    if torch.eq(torch.len(pad), 2):
      if torch.eq(torch.dim(input), 2):
        _160 = True
      else:
        _160 = torch.eq(torch.dim(input), 3)
      _159 = _160
    else:
      _159 = False
    if _159:
      if torch.eq(mode, "reflect"):
        _163 = torch.reflection_pad1d(input, pad)
        _162 = _163
      else:
        if torch.eq(mode, "replicate"):
          _165 = torch.replication_pad1d(input, pad)
          _164 = _165
        else:
          if torch.eq(mode, "circular"):
            _166 = _151(input, pad, )
          else:
            ops.prim.RaiseException("")
            _166 = _153
          _164 = _166
        _162 = _164
      _161 = _162
    else:
      if torch.eq(torch.len(pad), 4):
        if torch.eq(torch.dim(input), 3):
          _168 = True
        else:
          _168 = torch.eq(torch.dim(input), 4)
        _167 = _168
      else:
        _167 = False
      if _167:
        if torch.eq(mode, "reflect"):
          _171 = torch.reflection_pad2d(input, pad)
          _170 = _171
        else:
          if torch.eq(mode, "replicate"):
            _173 = torch.replication_pad2d(input, pad)
            _172 = _173
          else:
            if torch.eq(mode, "circular"):
              _174 = _151(input, pad, )
            else:
              ops.prim.RaiseException("")
              _174 = _153
            _172 = _174
          _170 = _172
        _169 = _170
      else:
        if torch.eq(torch.len(pad), 6):
          if torch.eq(torch.dim(input), 4):
            _176 = True
          else:
            _177 = torch.eq(torch.dim(input), 5)
            _176 = _177
          _175 = _176
        else:
          _175 = False
        if _175:
          if torch.eq(mode, "reflect"):
            _180 = torch.reflection_pad3d(input, pad)
            _179 = _180
          else:
            if torch.eq(mode, "replicate"):
              _182 = torch.replication_pad3d(input, pad)
              _181 = _182
            else:
              _183 = torch.eq(mode, "circular")
              if _183:
                _184 = _151(input, pad, )
              else:
                ops.prim.RaiseException("")
                _184 = _153
              _181 = _184
            _179 = _181
          _178 = _179
        else:
          ops.prim.RaiseException(_152)
          _178 = _153
        _169 = _178
      _161 = _169
    _156 = _161
  return _156
def _scaled_dot_product_attention(q: Tensor,
    k: Tensor,
    v: Tensor,
    attn_mask: Optional[Tensor]=None,
    dropout_p: float=0.) -> Tuple[Tensor, Tensor]:
  B, Nt, E, = torch.size(q)
  q3 = torch.div(q, torch.sqrt(E))
  attn = torch.bmm(q3, torch.transpose(k, -2, -1))
  if torch.__isnot__(attn_mask, None):
    attn_mask22 = unchecked_cast(Tensor, attn_mask)
    attn0 = torch.add_(attn, attn_mask22)
  else:
    attn0 = attn
  attn1 = __torch__.torch.nn.functional.softmax(attn0, -1, 3, None, )
  if torch.gt(dropout_p, 0.):
    attn3 = __torch__.torch.nn.functional.dropout(attn1, dropout_p, True, False, )
    attn2 = attn3
  else:
    attn2 = attn1
  output = torch.bmm(attn2, v)
  return (output, attn2)
def _pad_circular(input: Tensor,
    padding: List[int]) -> Tensor:
  _185 = "AssertionError: Padding value causes wrapping around more than once."
  _186 = "AssertionError: Negative padding value is resulting in an empty dimension."
  in_shape = torch.size(input)
  paddable_shape = torch.slice(in_shape, 2)
  ndim = torch.len(paddable_shape)
  _187 = [9223372036854775807, torch.len(paddable_shape)]
  for idx in range(ops.prim.min(_187)):
    size = paddable_shape[idx]
    _188 = torch.neg(torch.add(torch.mul(idx, 2), 1))
    if torch.le(padding[_188], size):
      pass
    else:
      ops.prim.RaiseException(_185)
    _189 = torch.neg(torch.add(torch.mul(idx, 2), 2))
    if torch.le(padding[_189], size):
      pass
    else:
      ops.prim.RaiseException(_185)
    _190 = torch.neg(torch.add(torch.mul(idx, 2), 1))
    _191 = padding[_190]
    _192 = torch.neg(torch.add(torch.mul(idx, 2), 2))
    _193 = torch.add(torch.add(_191, padding[_192]), size)
    if torch.ge(_193, 0):
      pass
    else:
      ops.prim.RaiseException(_186)
  out_shape = torch.slice(in_shape, None, 2)
  _194 = [9223372036854775807, torch.len(paddable_shape)]
  out_shape0 = out_shape
  for idx0 in range(ops.prim.min(_194)):
    size0 = paddable_shape[idx0]
    _195 = torch.neg(torch.add(torch.mul(idx0, 2), 1))
    _196 = torch.add(size0, padding[_195])
    _197 = torch.neg(torch.add(torch.mul(idx0, 2), 2))
    out_shape1 = torch.add_(out_shape0, [torch.add(_196, padding[_197])])
    out_shape0 = out_shape1
  out = torch.empty(out_shape0, dtype=ops.prim.dtype(input), layout=ops.prim.layout(input), device=ops.prim.device(input))
  if torch.eq(ndim, 1):
    out_d0 = ops.prim.max(padding[-2], 0)
    out_d1 = torch.sub(out_shape0[2], ops.prim.max(padding[-1], 0))
    in_d0 = ops.prim.max(torch.neg(padding[-2]), 0)
    _198 = in_shape[2]
    _199 = ops.prim.max(torch.neg(padding[-1]), 0)
    in_d1 = torch.sub(_198, _199)
    _200 = torch.slice(input, -1, in_d0, in_d1)
    _201 = torch.slice(out, -1, out_d0, out_d1)
    _202 = torch.copy_(_201, _200)
  else:
    if torch.eq(ndim, 2):
      out_d00 = ops.prim.max(padding[-2], 0)
      out_d10 = torch.sub(out_shape0[2], ops.prim.max(padding[-1], 0))
      out_h0 = ops.prim.max(padding[-4], 0)
      out_h1 = torch.sub(out_shape0[3], ops.prim.max(padding[-3], 0))
      in_d00 = ops.prim.max(torch.neg(padding[-2]), 0)
      _203 = in_shape[2]
      _204 = ops.prim.max(torch.neg(padding[-1]), 0)
      in_d10 = torch.sub(_203, _204)
      in_h0 = ops.prim.max(torch.neg(padding[-4]), 0)
      _205 = in_shape[3]
      _206 = ops.prim.max(torch.neg(padding[-3]), 0)
      in_h1 = torch.sub(_205, _206)
      _207 = torch.slice(input, -2, in_d00, in_d10)
      _208 = torch.slice(_207, -1, in_h0, in_h1)
      _209 = torch.slice(out, -2, out_d00, out_d10)
      _210 = torch.slice(_209, -1, out_h0, out_h1)
      _211 = torch.copy_(_210, _208)
    else:
      if torch.eq(ndim, 3):
        out_d01 = ops.prim.max(padding[-2], 0)
        out_d11 = torch.sub(out_shape0[2], ops.prim.max(padding[-1], 0))
        out_h00 = ops.prim.max(padding[-4], 0)
        out_h10 = torch.sub(out_shape0[3], ops.prim.max(padding[-3], 0))
        out_w0 = ops.prim.max(padding[-6], 0)
        out_w1 = torch.sub(out_shape0[4], ops.prim.max(padding[-5], 0))
        in_d01 = ops.prim.max(torch.neg(padding[-2]), 0)
        _212 = in_shape[2]
        _213 = ops.prim.max(torch.neg(padding[-1]), 0)
        in_d11 = torch.sub(_212, _213)
        in_h00 = ops.prim.max(torch.neg(padding[-4]), 0)
        _214 = in_shape[3]
        _215 = ops.prim.max(torch.neg(padding[-3]), 0)
        in_h10 = torch.sub(_214, _215)
        in_w0 = ops.prim.max(torch.neg(padding[-6]), 0)
        _216 = in_shape[4]
        _217 = ops.prim.max(torch.neg(padding[-5]), 0)
        in_w1 = torch.sub(_216, _217)
        _218 = torch.slice(input, -3, in_d01, in_d11)
        _219 = torch.slice(_218, -2, in_h00, in_h10)
        _220 = torch.slice(_219, -1, in_w0, in_w1)
        _221 = torch.slice(out, -3, out_d01, out_d11)
        _222 = torch.slice(_221, -2, out_h00, out_h10)
        _223 = torch.slice(_222, -1, out_w0, out_w1)
        _224 = torch.copy_(_223, _220)
      else:
        pass
  if torch.gt(padding[-2], 0):
    _225 = torch.sub(out_shape0[2], padding[-2])
    i0 = torch.sub(_225, ops.prim.max(padding[-1], 0))
    i1 = torch.sub(out_shape0[2], ops.prim.max(padding[-1], 0))
    o1 = padding[-2]
    _226 = torch.slice(torch.slice(torch.slice(out), 1), 2, i0, i1)
    _227 = torch.slice(torch.slice(torch.slice(out), 1), 2, 0, o1)
    _228 = torch.copy_(_227, _226)
  else:
    pass
  if torch.gt(padding[-1], 0):
    i00 = ops.prim.max(padding[-2], 0)
    i10 = torch.add(ops.prim.max(padding[-2], 0), padding[-1])
    o0 = torch.sub(out_shape0[2], padding[-1])
    o10 = out_shape0[2]
    _229 = torch.slice(torch.slice(torch.slice(out), 1), 2, i00, i10)
    _230 = torch.slice(torch.slice(torch.slice(out), 1), 2, o0, o10)
    _231 = torch.copy_(_230, _229)
  else:
    pass
  if torch.gt(torch.len(padding), 2):
    if torch.gt(padding[-4], 0):
      _232 = torch.sub(out_shape0[3], padding[-4])
      i01 = torch.sub(_232, ops.prim.max(padding[-3], 0))
      i11 = torch.sub(out_shape0[3], ops.prim.max(padding[-3], 0))
      o11 = padding[-4]
      _233 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _234 = torch.slice(_233, 3, i01, i11)
      _235 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _236 = torch.copy_(torch.slice(_235, 3, 0, o11), _234)
    else:
      pass
    if torch.gt(padding[-3], 0):
      i02 = ops.prim.max(padding[-4], 0)
      i12 = torch.add(ops.prim.max(padding[-4], 0), padding[-3])
      o00 = torch.sub(out_shape0[3], padding[-3])
      o12 = out_shape0[3]
      _237 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _238 = torch.slice(_237, 3, i02, i12)
      _239 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _240 = torch.copy_(torch.slice(_239, 3, o00, o12), _238)
    else:
      pass
  else:
    pass
  if torch.gt(torch.len(padding), 4):
    if torch.gt(padding[-6], 0):
      _241 = torch.sub(out_shape0[4], padding[-6])
      i03 = torch.sub(_241, ops.prim.max(padding[-5], 0))
      i13 = torch.sub(out_shape0[4], ops.prim.max(padding[-5], 0))
      o13 = padding[-6]
      _242 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _243 = torch.slice(torch.slice(_242, 3), 4, i03, i13)
      _244 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _245 = torch.slice(torch.slice(_244, 3), 4, 0, o13)
      _246 = torch.copy_(_245, _243)
    else:
      pass
    if torch.gt(padding[-5], 0):
      i04 = ops.prim.max(padding[-6], 0)
      i14 = torch.add(ops.prim.max(padding[-6], 0), padding[-5])
      o01 = torch.sub(out_shape0[4], padding[-5])
      o14 = out_shape0[4]
      _247 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _248 = torch.slice(torch.slice(_247, 3), 4, i04, i14)
      _249 = torch.slice(torch.slice(torch.slice(out), 1), 2)
      _250 = torch.slice(torch.slice(_249, 3), 4, o01, o14)
      _251 = torch.copy_(_250, _248)
    else:
      pass
  else:
    pass
  return out
def softmax(input: Tensor,
    dim: Optional[int]=None,
    _stacklevel: int=3,
    dtype: Optional[int]=None) -> Tensor:
  _252 = __torch__.torch.nn.functional._get_softmax_dim
  if torch.__is__(dim, None):
    dim1 = _252("softmax", torch.dim(input), _stacklevel, )
    dim0 = dim1
  else:
    dim0 = unchecked_cast(int, dim)
  if torch.__is__(dtype, None):
    ret = torch.softmax(input, dim0)
  else:
    dtype0 = unchecked_cast(int, dtype)
    ret = torch.softmax(input, dim0, dtype0)
  return ret
def _get_softmax_dim(name: str,
    ndim: int,
    stacklevel: int) -> int:
  _253 = "Implicit dimension choice for {} has been deprecated. Change the call to include dim=X as an argument."
  torch.warn(torch.format(_253, name), stacklevel)
  if torch.eq(ndim, 0):
    _254 = True
  else:
    _254 = torch.eq(ndim, 1)
  if _254:
    _255 = True
  else:
    _255 = torch.eq(ndim, 3)
  if _255:
    ret = 0
  else:
    ret = 1
  return ret
